Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.enterprise
Class EOSearchResultIterator

    java.lang.Object
      com.sun.mdm.index.page.PageIteratorWrapper
          com.sun.mdm.index.master.search.enterprise.EOSearchResultIterator

All Implemented Interfaces:
  java.io.Serializable

public class EOSearchResultIterator
extends PageIteratorWrapper

The EOSearchResultIterator class represents an iterator containing the EOSearchResultRecord objects returned by a call to searchEnterpriseObject. Uses indexes to page through the EOSearchResultRecord objects and to retrieve specific objects from the iterator.

See Also:
  Serialized Form

Constructor Summary
`EOSearchResultIterator(EOSearchResultRecord[] fullData)` Creates a new instance of the EOSearchResultIterator class that does not maintain the connection to the server.
`EOSearchResultIterator(PageData pageData, int pageSize, int maxElements)` Creates a new instance of the EOSearchResultIterator class that maintains the connection to the server.

Method Summary
`EOSearchResultRecord` | `absolute(int index)` Retrieves an EOSearchResultRecord object at the specified index from the EOSearchResultIterator object.
`EOSearchResultRecord[]` | `absolute(int index, int count)` Retrieves a series of rows from an EOSearchResultIterator object, beginning with the row at the specified index and continuing through the specified number of rows.
`EOSearchResultRecord` | `first()` Retrieves the first row from an EOSearchResultIterator object.
`EOSearchResultRecord[]` | `first(int count)` Retrieves the first rows in the iterator.
`EOSearchResultRecord` | `next()` Retrieves the next row from an EOSearchResultIterator object.
`EOSearchResultRecord[]` | `next(int count)` Retrieves the next series of rows in the iterator.
`EOSearchResultRecord` | `prev()` Retrieves the previous row from an EOSearchResultIterator object.
`EOSearchResultRecord[]` | `prev(int count)` Retrieves the previous series of rows in the iterator.
`void` | `sortBy(java.lang.String field, boolean reverse)` Sorts the objects in the EOSearchResultIterator by the specified comparator.

Methods inherited from class com.sun.mdm.index.page.PageIteratorWrapper
`close, count, currentPosition, getGenericIterator, hasNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EOSearchResultIterator

    public EOSearchResultIterator(EOSearchResultRecord[] fullData)
                           throws PageException

  Creates a new instance of the EOSearchResultIterator class that does not maintain the connection to the server.

  Parameters:
    `fullData` - An array of all objects in the result set.
  Throws:
    `PageException` - Thrown if an error occurs while creating the iterator.

### EOSearchResultIterator

    public EOSearchResultIterator(PageData pageData,
                                  int pageSize,
                                  int maxElements)
                           throws PageException

  Creates a new instance of the EOSearchResultIterator class that maintains the connection to the server.

  Parameters:
    `pageData` - A session bean that stores the data retrieved from the server.
    `pageSize` - The size of each unit of data retrieved from the server.
    `maxElements` - The maximum number of elements retrieved for an enterprise object search.
  Throws:
    `PageException` - An error occurred while creating the iterator.

Method Detail

### absolute

    public EOSearchResultRecord absolute(int index)
                                  throws PageException,
                                         java.rmi.RemoteException

  Retrieves an EOSearchResultRecord object at the specified index from the EOSearchResultIterator object.

  Parameters:
    `index` - The row to retrieve.
  Returns:
    `EOSearchResultRecord` - An EOSearchResultRecord object.
  Throws:
    `PageException` - Thrown if an error occurs while retrieving the object.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### absolute

    public EOSearchResultRecord[] absolute(int index,
                                           int count)
                                    throws PageException,
                                           java.rmi.RemoteException

  Retrieves a series of rows from an EOSearchResultIterator object, beginning with the row at the specified index and continuing through the specified number of rows.

  Parameters:
    `index` - The first row to retrieve.
    `count` - The total number of rows to retrieve.
  Returns:
    `EOSearchResultRecord[]` - An array of EOSearchResultRecord objects.
  Throws:
    `PageException` - Thrown if an error occurs while retrieving the objects.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### first

    public EOSearchResultRecord first()
                               throws PageException,
                                      java.rmi.RemoteException

  Retrieves the first row from an EOSearchResultIterator object.

  Parameters:
    None.

  Returns:
    `EOSearchResultRecord` - An EOSearchResultRecord object.
  Throws:
    `PageException` - Thrown if an error occurs while retrieving the object.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### first

    public EOSearchResultRecord[] first(int count)
                                 throws PageException,
                                        java.rmi.RemoteException

  Retrieves the first rows in the iterator. The number of rows retrieved is specified as a parameter to this method. If the number of rows specified by the parameter is larger than the number of records in the iterator, all rows are retrieved.

  Parameters:
    `count` - The total number of rows to retrieve.
  Returns:
    `EOSearchResultREcord[]` - An array of EOSearchResultREcord objects.
  Throws:
    `PageException` - Thrown if an error occurs while retrieving the objects.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### next

    public EOSearchResultRecord next()
                              throws java.rmi.RemoteException,
                                     PageException

  Retrieves the next row from an EOSearchResultIterator object. If the current index is 4, this method returns the row at index=4.

  Parameters:
    None.

  Returns:
    `EOSearchResultRecord` - An EOSearchResultRecord object.
  Throws:
    `PageException` - Thrown if the call to hasNext returns false.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### next

    public EOSearchResultRecord[] next(int count)
                                throws java.rmi.RemoteException,
                                       PageException

  Retrieves the next series of rows in the iterator. The number of rows retrieved is specified as a parameter to this method. If the iterator does not have the specified number of rows remaining, it only retrieves the remaining rows.

  Parameters:
    `count` - The total number of rows to retrieve.
  Returns:
    `EOSearchResultRecord[]` - An array of EOSearchResultRecord objects.
  Throws:
    `PageException` - Thrown if the index is already at the end of the iterator.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### prev

    public EOSearchResultRecord prev()
                              throws PageException,
                                     java.rmi.RemoteException

  Retrieves the previous row from an EOSearchResultIterator object. If the current index is 5, this method returns the row at index=4 and leaves the position at index=4.

  Parameters:
    None.

  Returns:
    `EOSearchResultRecord` - An EOSearchResultRecord object.
  Throws:
    `PageException` - Thrown if the index is already at the beginning of the iterator.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### prev

    public EOSearchResultRecord[] prev(int count)
                                throws PageException,
                                       java.rmi.RemoteException

  Retrieves the previous series of rows in the iterator. The number of rows retrieved is specified as a parameter to this method.

  Parameters:
    `count` - The total number of rows to retrieve.
  Returns:
    `EOSearchResultRecord[]` - An array of EOSearchResultRecord objects.
  Throws:
    `PageException` - Thrown if the index is already at the beginning of the iterator.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

### sortBy

    public void sortBy(java.lang.String field,
                       boolean reverse)
                throws java.rmi.RemoteException,
                       PageException

  Sorts the objects in the EOSearchResultIterator by the specified comparator.

  Parameters:
    `field` - The name of field to use as sorting criteria.
    `reverse` - An indicator of whether to sort in ascending or descending order. Specify true to sort in descending order, or specify false to sort in ascending order.
  Returns:
    `void` - None.
  Throws:
    `PageException` - Thrown if there is an error during sorting.
    `java.rmi.RemoteException` - Thrown if the connection to the server goes down during processing.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.